#!/bin/sh
datafiles=`ls *.dat | tr '\n' ' '`
/usr/bin/gnuplot <<EOF
#cat - <<EOF
reset
set output "$1"
set title "Battery voltages"
set terminal png truecolor size 1024,768
set style fill transparent solid 0.1
set key
set grid
set xlabel "Time"
set timefmt "%s"
set format x "%H:%M:%S"
set xdata time
set ylabel "Voltage"
set yrange [ 0.8 : 1.5 ]
plot for [ datafile in "$datafiles" ] datafile using 1:3 smooth bezier with filledcurves x1 lw 2 title datafile
EOF
